packages: couchdb/couchdb.init - use command to shutdown
glen
glen at pld-linux.org
Sun Feb 26 13:03:03 CET 2012
Author: glen Date: Sun Feb 26 12:03:03 2012 GMT
Module: packages Tag: HEAD
---- Log message:
- use command to shutdown
---- Files affected:
packages/couchdb:
couchdb.init (1.7 -> 1.8)
---- Diffs:
================================================================
Index: packages/couchdb/couchdb.init
diff -u packages/couchdb/couchdb.init:1.7 packages/couchdb/couchdb.init:1.8
--- packages/couchdb/couchdb.init:1.7 Sun Feb 26 13:00:36 2012
+++ packages/couchdb/couchdb.init Sun Feb 26 13:02:58 2012
@@ -63,7 +63,14 @@
# Stop daemons.
msg_stopping "CouchDB"
- killproc --pidfile $COUCHDB_PID couchdb -TERM
+ su $COUCHDB_USER -c "$COUCHDB -d $COUCHDB_OPTIONS"
+ RETVAL=$?
+ if [ $RETVAL -eq 0 ]; then
+ ok
+ else
+ fail
+ fi
+
rm -f $COUCHDB_PID
rm -f /var/lock/subsys/couchdb
}
================================================================
---- CVS-web:
http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/packages/couchdb/couchdb.init?r1=1.7&r2=1.8&f=u
More information about the pld-cvs-commit
mailing list